Name:           qtkeychain
Version:        0.3.90
Release:        4.20140405git%{?dist}
License:        BSD
Summary:        A password store library
Url:            https://github.com/frankosterfeld/qtkeychain
Source0:        %{name}-%{version}.zip

BuildRequires:  cmake
BuildRequires:  qt4-devel

%description
The qtkeychain library allows you to store passwords easy and secure.

%package devel
Summary:        A cross platform password store library
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains development files for qtkeychain.

%prep
%setup -q -n %{name}-master

%build
mkdir build
pushd build

%cmake .. \
    -DBUILD_WITH_QT4:BOOL=ON \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo

make %{?_smp_mflags}
popd

%install
pushd build
make install DESTDIR=%{buildroot}
popd

%find_lang %{name} --with-qt

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%{_libdir}/libqtkeychain.so.0*
%doc COPYING ReadMe.txt

%files devel
%{_includedir}/qtkeychain
%{_libdir}/cmake/QtKeychain/
%{_libdir}/libqtkeychain.so

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.90-4.20140405git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.90-3.20140405git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 06 2014 Rex Dieter <rdieter@fedoraproject.org> 0.3.90-2.20140405git
- track libqtkeychain soname
- use %%find_lang
- omit dup'd cmake defines

* Sun May 04 2014 <jmarrero@fedoraproject.org> 0.3.90-1
- Update to latest github commit.

* Sun Mar 16 2014 <jmarrero@fedoraproject.org> 0.3.0-1
- Update to latest upstream version

* Tue Jan 07 2014 <jmarrero@fedoraproject.org> 0.1.0-4.20130805git
- Remove gcc-c++ dep
- Fix Requires
- Remove unneeded line in devel description
- Leave black line between changelogs

* Sat Jan 04 2014 <jmarrero@fedoraproject.org> 0.1.0-3.20130805git
- Fix Version and Release
- Fix %%files devel's cmake ownership by pointing the subfiles 
- Fix Changelog to reflect version and release changes 

* Tue Dec 24 2013 <jmarrero@fedoraproject.org> 0.1.0-2.20130805git
- Fix descriptions

* Mon Dec 23 2013 <jmarrero@fedoraproject.org> 0.1.0-1.20130805git
- Initial Packaging
